Bug 6973 - Allow reply-to on cart emails to go to the sender of the cart
Summary: Allow reply-to on cart emails to go to the sender of the cart
Status: NEW
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Bugs List
URL:
Keywords:
: 13260 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-10-05 02:13 UTC by Robin Sheat
Modified: 2020-04-21 06:18 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 6973 - allow cart and list email to set a reply-to address (9.77 KB, patch)
2011-10-05 04:56 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 6973 - allow cart and list email to set a reply-to address (9.88 KB, patch)
2011-10-05 05:05 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 6973 - allow cart and list email to set a reply-to address (9.84 KB, patch)
2011-10-05 22:49 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 6973 - allow cart and list email to set a reply-to address (9.84 KB, patch)
2011-10-06 04:42 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 6973 - have list and cart sending go via message_queue (21.12 KB, patch)
2011-10-06 04:44 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 6973 - this forces alerts to use the message queue (7.50 KB, patch)
2011-10-13 02:58 UTC, Robin Sheat
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2011-10-05 02:13:10 UTC
When you send a cart and the person attempts to reply to it, the email goes to the library admin address. This will add a syspref that allows a Reply-To header to be set that will be set to the user of the cart, if they're logged in and have an email address set.

Which email address is used will be determined by the AutoEmailPrimaryAddress preference.
Comment 1 Robin Sheat 2011-10-05 04:56:05 UTC Comment hidden (obsolete)
Comment 2 Robin Sheat 2011-10-05 04:56:59 UTC
There is going to be a part-two of this that causes these emails to run through the standard message queue system.
Comment 3 Robin Sheat 2011-10-05 05:05:05 UTC Comment hidden (obsolete)
Comment 4 Nicole C. Engard 2011-10-05 12:09:25 UTC
Total nitpicky thing here .. 

Why not change the preference so that it doesn't have a 'warning'


Use (Sender's Email|Library Admin Address) as the reply to address when sending carts and lists.


Instead of a Do/Don't kind of thing.


Nicole
Comment 5 Robin Sheat 2011-10-05 20:40:13 UTC
That's a good idea!
Comment 6 Robin Sheat 2011-10-05 22:49:25 UTC
Created attachment 5724 [details] [review]
Bug 6973 - allow cart and list email to set a reply-to address

This adds a syspref (OpacSendReplyTo) that allows the emails sent from
carts and lists to have a reply-to address of the sending user (if
they're logged in.)

(Changes the preference description from the previous version)
Comment 7 Robin Sheat 2011-10-05 22:50:54 UTC
Still working on a followup patch that cleans up the cart and list sending code.
Comment 8 Robin Sheat 2011-10-06 04:42:46 UTC Comment hidden (obsolete)
Comment 9 Robin Sheat 2011-10-06 04:43:50 UTC Comment hidden (obsolete)
Comment 10 Robin Sheat 2011-10-06 04:44:11 UTC
Created attachment 5729 [details] [review]
Bug 6973 - have list and cart sending go via message_queue

This forces the emailing of lists and carts to be placed in the message
queue, rather than sent directly from the script. This allows improved
centralised configuration and control of the email system.

Note that an effect of this is that rather than going out immediately,
emails from OPAC users sending carts will only get sent when the
process_message_queue script runs.

(this is intended to apply on top of the other bug 6973 patch)
Comment 11 Robin Sheat 2011-10-13 02:58:47 UTC
Created attachment 5870 [details] [review]
Bug 6973 - this forces alerts to use the message queue

Alerts, such as serials claims and routing lists messages and new
member details originally used sendmail directly. Now they go into the
message queue so that they can use centralised configuration.
Comment 12 Katrin Fischer 2011-10-13 05:51:33 UTC
I asked Robin how the patches work together:
First patch is standalone, the others go on top of it.
Comment 13 Katrin Fischer 2011-10-13 07:41:24 UTC
Hi Robin, 
does this also affect the 'New Account' message you can send out when creating new accounts? Because this contains the password it should probably not go into the message_queue table.
Comment 14 Robin Sheat 2011-10-18 23:34:18 UTC
It does affect the new account message, and you're right, it shouldn't. I'll look into that when I get the chance.
Comment 15 Paul Poulain 2011-10-24 11:38:20 UTC
Updating Version : This ENH will be for Koha 3.8
Comment 16 Paul Poulain 2011-10-25 15:05:57 UTC
Bug versionned for master. entries will be made against rel_3_8 once the patch has been applied (see thread about that on koha-devel yesterday)
Comment 17 Katrin Fischer 2011-11-29 06:11:54 UTC
Robin, I removed the 'needs signoff' for the known problem with the new accounts message. Hope that's ok.
Comment 18 Katrin Fischer 2011-11-29 06:33:44 UTC
Reading my own comments again, I tried to applying and testing the first patch:

1) Fixed a conflict in sysprefs.sql

2) Did the database update
System preference is there and defaults correctly to "library admin mail"

3) List
I picked a list and clicked on "Send list" (http://localhost/cgi-bin/koha/opac-sendshelf.pl?shelfid=1). I get a perl error:
Global symbol "$user" requires explicit package name at /home/katrin/kohaclone/opac/opac-sendshelf.pl line 60.
Execution of /home/katrin/kohaclone/opac/opac-sendshelf.pl aborted due to compilation errors.

4) Cart
Works.

5) Changed the system preference to "sender's email".

6) List
Same perl error:
Global symbol "$user" requires explicit package name at /home/katrin/kohaclone/opac/opac-sendshelf.pl line 60.
Execution of /home/katrin/kohaclone/opac/opac-sendshelf.pl aborted due to compilation errors.

7) Cart
Works.
Comment 19 Katrin Fischer 2013-01-23 13:51:56 UTC
Robin, is there a chance you can look at this again? I think it would be a nice improvment.
Comment 20 Kyle M Hall 2013-02-12 17:16:41 UTC
Robin, any chance of a rebase for these patches?
Comment 21 Owen Leonard 2018-05-30 16:47:03 UTC
This enhancement has been dead so long I'm going to reset it to NEW.
Comment 22 Katrin Fischer 2020-01-06 13:05:28 UTC
*** Bug 13260 has been marked as a duplicate of this bug. ***
Comment 23 Martin Renvoize 2020-04-20 19:39:24 UTC
Bug 3280 appears to have done the reply-to side of this already...
Comment 24 Martin Renvoize 2020-04-21 06:18:19 UTC
Looks like the changes to using the message queue instead of direct send are still valid.